---
apiVersion: v1
kind: PersistentVolume
metadata:
  labels:
    {{- include "rainloop.labels" . | nindent 4 }}
  name: {{ include "rainloop.fullname" . }}
spec:
  accessModes:
  - ReadWriteMany
  capacity:
    storage: 10Gi
  mountOptions:
  - hard
  - rw
  nfs:
    path: {{ .Values.persistentStorage.path | quote }}
    server: {{ .Values.persistentStorage.host | quote }}
  persistentVolumeReclaimPolicy: Retain
  storageClassName: nfs
  volumeMode: Filesystem